Random crashes

Bug #1768166 reported by Ping-Wu on 2018-05-01
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ibus-libpinyin (Ubuntu)
Medium
Unassigned
Bionic
Medium
Gunnar Hjalmarsson
Cosmic
Medium
Gunnar Hjalmarsson
libpinyin (Ubuntu)
Medium
Unassigned
Bionic
Medium
Gunnar Hjalmarsson
Cosmic
Medium
Gunnar Hjalmarsson

Bug Description

[Impact]

ibus-libpinyin has proved to crash far too often. One or more files in ~/.cache/ibus/libpinyin get corrupted somehow, and emptying that directory allows the user to keep using ibus-libpinyin.

In disco (and eoan) ibus-libpinyin 1.11.0 and libpinyin 2.2.2 are present, and the number of crashes has been reduced significantly:

https://errors.ubuntu.com/?package=ibus-libpinyin&period=month

Upstream ChangeLog ibus-libpinyin:
----------------------------------
version 1.11.0
* fixes keypad decimal
* fixes emoji candidates
* support configurable opencc config

version 1.10.92
* fixes Enter handling

version 1.10.91
* support ime.register_trigger in lua extension
* support predicted candidates
* support emoji input

version 1.10.0
* bug fixes

version 1.9.91
* migrate to use GSettings
* fixes lyx short cut issue

version 1.9.3
* translate input method name in ibus menu

Upstream ChangeLog libpinyin:
-----------------------------
version 2.2.2
* minor fixes

version 2.2.1
* fixes predicted candidates

version 2.2.0
* bug fixes

The proposal is to backport the disco versions of those packages to bionic and cosmic in an attempt to prevent crashes. Proposed uploads are available in this PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin

[Test Case]

* Install from {bionic,cosmic}-proposed:
  - libpinyin13
  - libpinyin-data
  - ibus-libpinyin

* Use "Intelligent Pinyin" for typing and confirm that no new issues
  show up when doing so.

(This is apparently not a confirmation that the upload really fixes the bug. To compensate for that, we will await testing of the -proposed packages by a few Chinese users before considering the uploads verified.)

Reverse dependencies
--------------------
Besides ibus-libpinyin, also fcitx-libpinyin and ibus-libzhuyin depend on packages belonging to the libpinyin source package. So additional test measures are:

* Install fcitx-libpinyin and ibus-libzhuyin.

* Use both those tools for typing Chinese, and confirm that you don't
  observe any adverse effects of the libpinyin upgrade.

[Regression Potential]

The changes are mostly bug fixes, so the regression risk should be limited. Also consider that the starting point is a rather unstable functionality.

NOTE TO SRU TEAM: Please let the SRU age for longer than 7 days to get as much testing as possible. There do not seem to be too many risky changes carried, but such jumps in upstream versions always carry some regression-risk.

[Original description]

I have experienced random ibus-libpinyin crashes in bionic. I cannot reproduce it, but it occurred at least a few times, even after the official bionic release. Same crashes were also reported in the Ubuntu Chinese forum.

Currently, the workaround is to delete the ~/.cache/ibus/libpinyin folder.

I talked to Peng Wu, ibus-libpinyin's creator and main maintainer, he suggested that we update the version of ibus-libpinyin to 1.10.

Can we give this update a trial?

Peng Wu (alexepico) wrote :

This may be a fixed bug in libpinyin.

Please update libpinyin and ibus-libpinyin to latest version, thanks!

BTW, we provide the tar ball in github.com now.

Try to compile it (Ubuntu 18.04), got the following error message:

configure: error: Package requirements (
    ibus-1.0 >= 1.5.11
) were not met:

No package 'ibus-1.0' found

Execution of dpkg -l ibus command shows that the ibus version is
1.5.17-3ubun amd64 .

On Sun, May 6, 2018 at 8:52 PM, Peng Wu <email address hidden> wrote:

> This may be a fixed bug in libpinyin.
>
> Please update libpinyin and ibus-libpinyin to latest version, thanks!
>
> BTW, we provide the tar ball in github.com now.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> New
>
> Bug description:
> I have experienced random ibus-libpinyin crashes in bionic. I cannot
> reproduce it, but it occurred at least a few times, even after the
> official bionic release. Same crashes were also reported in the
> Ubuntu Chinese forum.
>
> Currently, the workaround is to delete the ~/.cache/ibus/libpinyin
> folder.
>
> I talked to Peng Wu, ibus-libpinyin's creator and main maintainer, he
> suggested that we update the version of ibus-libpinyin to 1.10.
>
> Can we give this update a trial?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1768166/+subscriptions
>

Gunnar Hjalmarsson (gunnarhj) wrote :

libpinyin 2.2.0 and ibus-libpinyin 1.10.0 are now in this PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin

sudo add-apt-repository ppa:gunnarhj/ibus-libpinyin
sudo apt update
sudo apt upgrade

Please let us know if it makes a difference.

Changed in ibus-libpinyin (Ubuntu):
status: New → Incomplete
Ping-Wu (wliauh) wrote :

Thanks. I have posted the new ppa to the Ubuntu China forum. Believe it
will be greatly appreciated.

On Thu, May 10, 2018 at 11:45 AM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> ** Changed in: ibus-libpinyin (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Incomplete
>
> Bug description:
> I have experienced random ibus-libpinyin crashes in bionic. I cannot
> reproduce it, but it occurred at least a few times, even after the
> official bionic release. Same crashes were also reported in the
> Ubuntu Chinese forum.
>
> Currently, the workaround is to delete the ~/.cache/ibus/libpinyin
> folder.
>
> I talked to Peng Wu, ibus-libpinyin's creator and main maintainer, he
> suggested that we update the version of ibus-libpinyin to 1.10.
>
> Can we give this update a trial?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1768166/+subscriptions
>

Launchpad Janitor (janitor) wrote :

[Expired for ibus-libpinyin (Ubuntu) because there has been no activity for 60 days.]

Changed in ibus-libpinyin (Ubuntu):
status: Incomplete → Expired
russell-li (russell-li) wrote :

I has this problem for many days, according to #3 ,I has solved this problem eventually
Thank you very much!

Gunnar Hjalmarsson (gunnarhj) wrote :

@russell-li: Are you reporting that you had frequent crashes and that upgrading via the PPA fixed the problem?

Changed in ibus-libpinyin (Ubuntu):
status: Expired → Incomplete
Ping-Wu (wliauh) wrote :

I don't know if upgrading via the ppa actually solved the random crash
problem, but I never had any crash after the upgrade. There could be other
reasons including gnome upgrades. But AT LEAST upgrading via the ppa did
not cause any negative effects. Thus, I suggest applying the
ibus-libpinyin upgrade to the newer version for Ubuntu 18.04.1.

On Fri, Jul 20, 2018 at 9:38 PM, Gunnar Hjalmarsson <
<email address hidden>> wrote:

> @russell-li: Are you reporting that you had frequent crashes and that
> upgrading via the PPA fixed the problem?
>
> ** Changed in: ibus-libpinyin (Ubuntu)
> Status: Expired => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Incomplete
>
> Bug description:
> I have experienced random ibus-libpinyin crashes in bionic. I cannot
> reproduce it, but it occurred at least a few times, even after the
> official bionic release. Same crashes were also reported in the
> Ubuntu Chinese forum.
>
> Currently, the workaround is to delete the ~/.cache/ibus/libpinyin
> folder.
>
> I talked to Peng Wu, ibus-libpinyin's creator and main maintainer, he
> suggested that we update the version of ibus-libpinyin to 1.10.
>
> Can we give this update a trial?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/
> +bug/1768166/+subscriptions
>

russell-li (russell-li) wrote :

@Gunnar Hjalmarsson: yep, I had frequent crashes and that upgrading via the PPA fixed the problem. I have using it for a week and didn't find any problem, maybe the upgrading solved the problem.

Launchpad Janitor (janitor) wrote :

[Expired for ibus-libpinyin (Ubuntu) because there has been no activity for 60 days.]

Changed in ibus-libpinyin (Ubuntu):
status: Incomplete → Expired
Changed in ibus-libpinyin (Ubuntu):
status: Expired → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ibus-libpinyin (Ubuntu):
status: New → Confirmed
Gunnar Hjalmarsson (gunnarhj) wrote :

This problem in Bionic has also been reported via bug #1768192, which I have marked as a duplicate of this one. Ubuntu's error tracker reports quite a few occurrences of crashes with ibus-libpinyin 1.9.2-2:

https://errors.ubuntu.com/problem/cd3fa9b145c79364f535cede0267ffe384b9ced8

So we should really make a Bionic SRU to deal with it.

no longer affects: language-selector (Ubuntu Bionic)
no longer affects: language-selector (Ubuntu)
Changed in ibus-libpinyin (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Changed in libpinyin (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Changed in ibus-libpinyin (Ubuntu):
status: Confirmed → Fix Released
Changed in libpinyin (Ubuntu):
status: New → Fix Released
russell-li (russell-li) wrote :

I just encountered the problem again, after upgrading to libpinyin-1.10.0, but we can temporarily
solve the problem if we delete this two file:

~/.cache/ibus/libpinyin/opengram.dbin
~/.cache/ibus/libpinyin/user_bigram.db

and I got in this bug again, after deleting it for about 20 days

Gunnar Hjalmarsson (gunnarhj) wrote :

I have hesitated about upgrading, since the problem seems to have been present also with version 1.10 according to the crash reports.

However, in Ubuntu 19.04 ibus-libpinyin was upgraded to 1.11, and it looks like there is a significant reduction of crashes in 19.04 compared to 18.04 and 18.10.

https://errors.ubuntu.com/?package=ibus-libpinyin&period=month

So I'm going to do this now.

Changed in ibus-libpinyin (Ubuntu Cosmic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Changed in libpinyin (Ubuntu Cosmic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Ping-Wu (wliauh) wrote :

As I stated in the Chinese Ubuntu forum, I almost always stick to only the
LTS versions of Ubuntu. I made an exception wrt 18.04 LTS and moved up to
19.04 and even 19.10 because ibus-libpinyin 1.11 is not available in
18.04. However, 19.04 and 19.10 have their own problems and are not
recommended at least for now.

On Mon, May 20, 2019 at 4:22 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> I have hesitated about upgrading, since the problem seems to have been
> present also with version 1.10 according to the crash reports.
>
> However, in Ubuntu 19.04 ibus-libpinyin was upgraded to 1.11, and it
> looks like there is a significant reduction of crashes in 19.04 compared
> to 18.04 and 18.10.
>
> https://errors.ubuntu.com/?package=ibus-libpinyin&period=month
>
> So I'm going to do this now.
>
> ** Also affects: libpinyin (Ubuntu Cosmic)
> Importance: Undecided
> Status: New
>
> ** Also affects: ibus-libpinyin (Ubuntu Cosmic)
> Importance: Undecided
> Status: New
>
> ** Changed in: ibus-libpinyin (Ubuntu Cosmic)
> Importance: Undecided => Medium
>
> ** Changed in: ibus-libpinyin (Ubuntu Cosmic)
> Status: New => In Progress
>
> ** Changed in: ibus-libpinyin (Ubuntu Cosmic)
> Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj)
>
> ** Changed in: libpinyin (Ubuntu Cosmic)
> Importance: Undecided => Medium
>
> ** Changed in: libpinyin (Ubuntu Cosmic)
> Status: New => In Progress
>
> ** Changed in: libpinyin (Ubuntu Cosmic)
> Assignee: (unassigned) => Gunnar Hjalmarsson (gunnarhj)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> In Progress
> Status in libpinyin source package in Bionic:
> In Progress
> Status in ibus-libpinyin source package in Cosmic:
> In Progress
> Status in libpinyin source package in Cosmic:
> In Progress
>
> Bug description:
> I have experienced random ibus-libpinyin crashes in bionic. I cannot
> reproduce it, but it occurred at least a few times, even after the
> official bionic release. Same crashes were also reported in the
> Ubuntu Chinese forum.
>
> Currently, the workaround is to delete the ~/.cache/ibus/libpinyin
> folder.
>
> I talked to Peng Wu, ibus-libpinyin's creator and main maintainer, he
> suggested that we update the version of ibus-libpinyin to 1.10.
>
> Can we give this update a trial?
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/+bug/1768166/+subscriptions
>

description: updated
Changed in ibus-libpinyin (Ubuntu):
importance: Undecided → Medium
Changed in libpinyin (Ubuntu):
importance: Undecided → Medium
description: updated
Łukasz Zemczak (sil2100) wrote :

So generally, with my SRU hat on, after a longer discussion with Gunnar I think we should give the backport a spin - but under specific conditions. We would be keeping the SRU in -proposed for longer than 7 days and I'd appreciate some wider-testing during that time (maybe some call for testing?).

description: updated

Hello Ping-Wu, or anyone else affected,

Accepted libpinyin into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libpinyin/2.2.2-1ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libpinyin (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Ping-Wu, or anyone else affected,

Accepted libpinyin into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libpinyin/2.2.2-1~ubuntu18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libpinyin (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Ping-Wu, or anyone else affected,

Accepted libpinyin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libpinyin/2.2.2-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Ping-Wu, or anyone else affected,

Accepted ibus-libpinyin into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ibus-libpinyin/1.11.0-1ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ibus-libpinyin (Ubuntu Cosmic):
status: In Progress → Fix Committed
Changed in ibus-libpinyin (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Ping-Wu, or anyone else affected,

Accepted ibus-libpinyin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ibus-libpinyin/1.11.0-1ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Currently ibus-libpinyin FTBFS on bionic-proposed, but this is unrelated to the changes in our package. There seems to be some SRUs ongoing there (particularly one for libio-socket-ssl-perl) that are causing some installability issues for gnome-common. It's a long dependency chain leading there, but yeah. Anyway, I have informed the people driving the other SRU to see what we can do to resolve the issue - maybe it's just transient?

Gunnar Hjalmarsson (gunnarhj) wrote :

I have done these tests:

bionic
------
Installed from bionic-proposed these packages:

* ibus-libpinyin 1.11.0-1ubuntu0.18.04.1
* libpinyin-data 2.2.2-1~ubuntu18.04.1
* libpinyin13 2.2.2-1~ubuntu18.04.1

Used the Intelligent Pinyin method for inputting some Chinese characters. Didn't observe any oddities. Bug #1829947 is not present (as expected).

cosmic
------
Installed from cosmic-proposed these packages:

* ibus-libpinyin 1.11.0-1ubuntu0.18.10.1
* libpinyin-data 2.2.2-1~ubuntu18.10.1
* libpinyin13 2.2.2-1~ubuntu18.10.1

Used the Intelligent Pinyin method for inputting some Chinese characters. Didn't observe any oddities.

fcitx-libpinyin and ibus-libzhuyin
----------------------------------
Installed fcitx-libpinyin 0.5.3-1 and ibus-libzhuyin 1.8.2-1 from bionic-release, and libzhuyin13 2.2.2-1~ubuntu18.04.1 from bionic-proposed.
Used
- the Pinyin (LibPinyin) (Fcitx) method (on Unity)
- the New Zhuyin method
for inputting some Chinese characters. Didn't observe any issues due to the upgraded packages built from libpinyin.

Successfully rebuilt the bionic-release versions of fcitx-libpinyin and ibus-libzhuyin with libpinyin 2.2.2.

Conclusion: We can stay with the current bionic versions of fcitx-libpinyin and ibus-libzhuyin. Upgrading those would be beyond the scope of this bug.

description: updated
Gunnar Hjalmarsson (gunnarhj) wrote :

Call for testing
================

I hope for help by both Ping-Wu (the bug reporter) and other Chinese users to test the proposed upgrade of the ibus-libpinyin package in Ubuntu 18.04. I have subscribed the Ubuntu CJK Testers team to this bug report to reach out to more possible testers.

"Intelligent Pinyin", which is provided by ibus-libpinyin, is the default input method in Ubuntu for inputting Simplified Chinese. While we want to address the crash problem reported in this bug, we want to minimize the regression risk.

The new versions of the affected packages are available in bionic-proposed. These are the steps to install them:

1. Enable bionic-proposed
-------------------------

* Open Software & Updates and select the "Developer Options" tab.

* Check the "Pre-released updates" option.

2. Update the package information on your system
------------------------------------------------

sudo apt update

3. Install/upgrade the packages
-------------------------------

sudo apt install ibus-libpinyin libpinyin-data libpinyin13

(Please note that it's not sufficient for this test to only upgrade ibus-libpinyin.)

4. Disable bionic-proposed
--------------------------

* Open Software & Updates and select the "Developer Options" tab.

* Uncheck the "Pre-released updates" option.

5. Update the package information on your system
------------------------------------------------

sudo apt update

With that your system is back to normal, except for those three packages from -proposed. You can confirm that you got the right versions by using this command:

dpkg-query -W ibus-libpinyin libpinyin-data libpinyin13

It should show this info:

ibus-libpinyin 1.11.0-1ubuntu0.18.04.1
libpinyin-data:amd64 2.2.2-1~ubuntu18.04.1
libpinyin13:amd64 2.2.2-1~ubuntu18.04.1

Then I simply ask you to use "Intelligent Pinyin" for your daily needs, and submit a comment here after a few days about your experience. Any kinds of comments are helpful, both "works well" and info about issues you stumble upon. Most important, of course, is that no new issues are introduced via this upgrade.

Thanks in advance for your help with this!

Download full text (6.3 KiB)

At the first run, things are looking good. My biggest
concern--ibus-libpinyin, also is working OK!

On Fri, May 31, 2019 at 2:10 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Call for testing
> ================
>
> I hope for help by both Ping-Wu (the bug reporter) and other Chinese
> users to test the proposed upgrade of the ibus-libpinyin package in
> Ubuntu 18.04. I have subscribed the Ubuntu CJK Testers team to this bug
> report to reach out to more possible testers.
>
> "Intelligent Pinyin", which is provided by ibus-libpinyin, is the
> default input method in Ubuntu for inputting Simplified Chinese. While
> we want to address the crash problem reported in this bug, we want to
> minimize the regression risk.
>
> The new versions of the affected packages are available in bionic-
> proposed. These are the steps to install them:
>
>
> 1. Enable bionic-proposed
> -------------------------
>
> * Open Software & Updates and select the "Developer Options" tab.
>
> * Check the "Pre-released updates" option.
>
> 2. Update the package information on your system
> ------------------------------------------------
>
> sudo apt update
>
> 3. Install/upgrade the packages
> -------------------------------
>
> sudo apt install ibus-libpinyin libpinyin-data libpinyin13
>
> (Please note that it's not sufficient for this test to only upgrade
> ibus-libpinyin.)
>
> 4. Disable bionic-proposed
> --------------------------
>
> * Open Software & Updates and select the "Developer Options" tab.
>
> * Uncheck the "Pre-released updates" option.
>
> 5. Update the package information on your system
> ------------------------------------------------
>
> sudo apt update
>
>
> With that your system is back to normal, except for those three packages
> from -proposed. You can confirm that you got the right versions by using
> this command:
>
> dpkg-query -W ibus-libpinyin libpinyin-data libpinyin13
>
> It should show this info:
>
> ibus-libpinyin 1.11.0-1ubuntu0.18.04.1
> libpinyin-data:amd64 2.2.2-1~ubuntu18.04.1
> libpinyin13:amd64 2.2.2-1~ubuntu18.04.1
>
>
> Then I simply ask you to use "Intelligent Pinyin" for your daily needs,
> and submit a comment here after a few days about your experience. Any kinds
> of comments are helpful, both "works well" and info about issues you
> stumble upon. Most important, of course, is that no new issues are
> introduced via this upgrade.
>
> Thanks in advance for your help with this!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying th...

Read more...

Ping-Wu (wliauh) wrote :
Download full text (6.3 KiB)

"My biggest concern--ibus-libpinyin, also is working OK!"

"ibus-libpinyin" should be --ibus-pinyin--.

On Fri, May 31, 2019 at 2:10 PM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Call for testing
> ================
>
> I hope for help by both Ping-Wu (the bug reporter) and other Chinese
> users to test the proposed upgrade of the ibus-libpinyin package in
> Ubuntu 18.04. I have subscribed the Ubuntu CJK Testers team to this bug
> report to reach out to more possible testers.
>
> "Intelligent Pinyin", which is provided by ibus-libpinyin, is the
> default input method in Ubuntu for inputting Simplified Chinese. While
> we want to address the crash problem reported in this bug, we want to
> minimize the regression risk.
>
> The new versions of the affected packages are available in bionic-
> proposed. These are the steps to install them:
>
>
> 1. Enable bionic-proposed
> -------------------------
>
> * Open Software & Updates and select the "Developer Options" tab.
>
> * Check the "Pre-released updates" option.
>
> 2. Update the package information on your system
> ------------------------------------------------
>
> sudo apt update
>
> 3. Install/upgrade the packages
> -------------------------------
>
> sudo apt install ibus-libpinyin libpinyin-data libpinyin13
>
> (Please note that it's not sufficient for this test to only upgrade
> ibus-libpinyin.)
>
> 4. Disable bionic-proposed
> --------------------------
>
> * Open Software & Updates and select the "Developer Options" tab.
>
> * Uncheck the "Pre-released updates" option.
>
> 5. Update the package information on your system
> ------------------------------------------------
>
> sudo apt update
>
>
> With that your system is back to normal, except for those three packages
> from -proposed. You can confirm that you got the right versions by using
> this command:
>
> dpkg-query -W ibus-libpinyin libpinyin-data libpinyin13
>
> It should show this info:
>
> ibus-libpinyin 1.11.0-1ubuntu0.18.04.1
> libpinyin-data:amd64 2.2.2-1~ubuntu18.04.1
> libpinyin13:amd64 2.2.2-1~ubuntu18.04.1
>
>
> Then I simply ask you to use "Intelligent Pinyin" for your daily needs,
> and submit a comment here after a few days about your experience. Any kinds
> of comments are helpful, both "works well" and info about issues you
> stumble upon. Most important, of course, is that no new issues are
> introduced via this upgrade.
>
> Thanks in advance for your help with this!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

@Ping-Wu: ibus-pinyin will soon be removed from the archive.

$ zcat /usr/share/doc/ibus-pinyin/NEWS.Debian.gz
ibus-pinyin (1.5.0-5) unstable; urgency=medium

    Package ibus-pinyin is now deprecated; its upstream has stopped development
    for years in favour of new ibus-libpinyin. New ibus users should install
    ibus-libpinyin instead of this package. This package (ibus-pinyin) will be
    removed after Debian Buster (Debian 10) release.

 -- Boyuan Yang <email address hidden> Tue, 18 Sep 2018 16:53:42 -0400

Seems like it won't be present in the Ubuntu 20.04 archive.

So let's focus 100% on ibus-libpinyin at this bug report.

Ping-Wu (wliauh) wrote :
Download full text (8.1 KiB)

I have been hearing this swan song for several years now that ibus-pinyin
is being or has been deprecated. Actually it is a miracle that ibus-pinyin
still works in Ubuntu--*and only in Ubuntu*. For unknown and very strange
reasons, I can never make ibus-pinyin work in Fedora, or even in Debian.
Indeed, this is the main reason that I am sticking with Ubuntu, even though
I was one of the very first supporters of the Fedora Linux when it was
being developed at the University of Hawaii.

Most Linux users in the Chinese Ubuntu forum actually use Sogou pinyin
(搜狗拼音), this is a proprietary program running on the fcitx input
framework. Sogou pinyin is definitely better than ibus-libpinyin (very few
people actually use ibus-libpinyin), but is inferior to ibus-pinyin in
terms of speed and stability. We have a pro bono project in Honolulu
teaching seniors to be proficient in computers. Since many of our students
are of Chinese descent, our program also includes teaching them how to
input Chinese characters. Ibus-pinyin has been our choice of Chinese input
tool because of its snappiness and being trouble-free. You would think
that these two characters should also make ibus-pinyin a favorable Chinese
input engine? But since so few people in China are using Linux desktops,
logic doesn't make sense. It is the so-called upstream developers (mainly
Peng Wu of Red Hat), or the lack thereof (ibus-pinyin developers), that
prevails.

Based on my interactions with many Chinese Ubuntu forum elders, I am NOT
surprised that the upstream developers do not think highly of ibus-pinyin.
The reasons are three-fold: first, they are not using the right distro
(i.e., not using Ubuntu); second, they did not install a Ubuntu-specific
ibus-pinyin database (i.e., system-wide vocabulary); and third, they have
not used ibus-pinyin long enough (i.e., they do not have their own user
vocabulary).

I think upstream developers do not like ibus-pinyin also because it does
not have many bells and whistles (e.g., inputting emojis which I absolutely
could care less). But ibus-pinyin also has some of the critical features
that are lacking in ibus-libpinyin. For example, the latter cannot
conveniently input special symbols (many in the Chinese Ubuntu forum think
this a main reason not to use ibus-libpinyin). Also, ibus-libpinyin will
treat a decimal point as a Chinese period, such as 19。04 (which should be
19.04). But most important AFAIC, ibus-pinyin uses a simple,
straightforward sqlite database structure that is very easy to comprehend.
How the table-lookup database is structured in ibus-libpinyin is
complicated and undocumented.

Many members of the Chinese Ubuntu forum have a very negative attitude
towards ibus-libpinyin partly because of the personality of its principal
developer Peng Wu. They have always complained about being contemptuously
snobbed when they visited the ibus-libpinyin GitHub forum (many were told
to switch to Fedora). I myself also could never get a straight answer from
Peng Wu.

I sincerely hope that your effort to make ibus-libpinyin stable ("stable"
in an absolute sense) will help attracting more users--ibus-libpinyin in
specific and Ubuntu in gener...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

@Ping-Wu: Which tools for inputting Chinese should be available on Ubuntu going forward is indeed a valid discussion, but this bug report is not a proper place for it. I notice your strong interest in the topic, and if you want to start such a discussion, I would suggest that you start a thread at <https://discourse.ubuntu.com/c/desktop>.

For Ubuntu 18.04 we have the tools which are in the archive, and ibus-libpinyin ("Intelligent Pinyin") is the default method for Simplified Chinese. This bug (filed by yourself) is about upgrading the software for that method, and only that.

So can we please focus here on testing the proposal to upgrade, and hold the wider discussion in e.g. the Ubuntu Community Hub?

Ping-Wu (wliauh) wrote :
Download full text (5.3 KiB)

Duly noted.

I am hitting a brick wall in the Chinese Ubuntu forum. It turns out that
nobody is using the ibus-libpinyin input method.

Would you be interested in using, as part of your daily routine, an input
tool that can suddenly crash and cannot be recovered until you delete all
the vocabulary that you have painstakingly built? I won't blame them.

Switching to a different Chinese input method is much more involved than
you may think. Even temporarily. I might be able to personally force one
or two Chinese Ubuntu forum participants to test your proposed changes.
But that's about it for now.

On Sat, Jun 1, 2019 at 10:30 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> @Ping-Wu: Which tools for inputting Chinese should be available on
> Ubuntu going forward is indeed a valid discussion, but this bug report
> is not a proper place for it. I notice your strong interest in the
> topic, and if you want to start such a discussion, I would suggest that
> you start a thread at <https://discourse.ubuntu.com/c/desktop>.
>
> For Ubuntu 18.04 we have the tools which are in the archive, and ibus-
> libpinyin ("Intelligent Pinyin") is the default method for Simplified
> Chinese. This bug (filed by yourself) is about upgrading the software
> for that method, and only that.
>
> So can we please focus here on testing the proposal to upgrade, and hold
> the wider discussion in e.g. the Ubuntu Community Hub?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying that
> directory allows the user to keep using ibus-libpinyin.
>
> In disco (and eoan) ibus-libpinyin 1.11.0 and libpinyin 2.2.2 are
> present, and the number of crashes has been reduced significantly:
>
> https://errors.ubuntu.com/?package=ibus-libpinyin&period=month
>
> Upstream ChangeLog ibus-libpinyin:
> ----------------------------------
> version 1.11.0
> * fixes keypad decimal
> * fixes emoji candidates
> * support configurable opencc config
>
> version 1.10.92
> * fixes Enter handling
>
> version 1.10.91
> * support ime.register_trigger in lua extension
> * support predicted candidates
> * support emoji input
>
> version 1.10.0
> * bug fixes
>
> version 1.9.91
> * migrate to use GSettings
> * fixes lyx short cut issue
>
> version 1.9.3
> * translate input method name in ibus menu
>
> Upstream ChangeLog libpinyin:
> -----------------------------
> version 2.2.2
> * minor fixes
>
> version 2.2.1
> * fixes predicted candidates
>
> version 2.2.0
> ...

Read more...

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2019-06-02 01:08, Ping-Wu wrote:
> I might be able to personally force one or two Chinese Ubuntu forum
> participants to test your proposed changes. But that's about it for
> now.

That would be helpful. Not to mention your own observations.

Thanks!

Gunnar Hjalmarsson (gunnarhj) wrote :

Hello,

This is a friendly reminder of my "call for testing" about a week ago.

Before moving the proposed upgrade of ibus-libpinyin and friends to bionic-updates, it would be highly desirable to get feedback from a few users who speak Simplified Chinese. So if you can help with this, and assuming you are on a 18.04 machine, you find the details about how to install from -proposed in comment #24 of this bug report.

https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/+bug/1768166/comments/24

Please submit any feedback you are able to provide as a comment on this bug report.

Ping-Wu (wliauh) wrote :
Download full text (4.7 KiB)

The correct link should be:

https://bugs.launchpad.net/ubuntu/+source/ibus-
libpinyin/+bug/1768166/comments/24

On Sun, Jun 9, 2019 at 12:25 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Hello,
>
> This is a friendly reminder of my "call for testing" about a week ago.
>
> Before moving the proposed upgrade of ibus-libpinyin and friends to
> bionic-updates, it would be highly desirable to get feedback from a few
> users who speak Simplified Chinese. So if you can help with this, and
> assuming you are on a 18.04 machine, you find the details about how to
> install from -proposed in comment #24 of this bug report.
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-
> libpinyin/+bug/1768166/comments/24
>
> Please submit any feedback you are able to provide as a comment on this
> bug report.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying that
> directory allows the user to keep using ibus-libpinyin.
>
> In disco (and eoan) ibus-libpinyin 1.11.0 and libpinyin 2.2.2 are
> present, and the number of crashes has been reduced significantly:
>
> https://errors.ubuntu.com/?package=ibus-libpinyin&period=month
>
> Upstream ChangeLog ibus-libpinyin:
> ----------------------------------
> version 1.11.0
> * fixes keypad decimal
> * fixes emoji candidates
> * support configurable opencc config
>
> version 1.10.92
> * fixes Enter handling
>
> version 1.10.91
> * support ime.register_trigger in lua extension
> * support predicted candidates
> * support emoji input
>
> version 1.10.0
> * bug fixes
>
> version 1.9.91
> * migrate to use GSettings
> * fixes lyx short cut issue
>
> version 1.9.3
> * translate input method name in ibus menu
>
> Upstream ChangeLog libpinyin:
> -----------------------------
> version 2.2.2
> * minor fixes
>
> version 2.2.1
> * fixes predicted candidates
>
> version 2.2.0
> * bug fixes
>
> The proposal is to backport the disco versions of those packages to
> bionic and cosmic in an attempt to prevent crashes. Proposed uploads
> are available in this PPA:
>
> https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin
>
> [Test Case]
>
> * Install from {bionic,cosmic}-proposed:
> - libpinyin13
> - libpinyin-data
> - ibus-libpinyin
>
> * Use "Intelligent Pinyin" for typing and confirm that no new issues
> show up when doing so.
>
> (This is apparently not a confirmation that the upload really fixes
> the bug. To compensate for that, we will await t...

Read more...

Ping-Wu (wliauh) wrote :
Download full text (4.8 KiB)

https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/bug/1768166/comments/24
<https://bugs.launchpad.net/ubuntu/+source/ibus-libpinyin/+bug/1768166/comments/24>

On Sun, Jun 9, 2019 at 12:25 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Hello,
>
> This is a friendly reminder of my "call for testing" about a week ago.
>
> Before moving the proposed upgrade of ibus-libpinyin and friends to
> bionic-updates, it would be highly desirable to get feedback from a few
> users who speak Simplified Chinese. So if you can help with this, and
> assuming you are on a 18.04 machine, you find the details about how to
> install from -proposed in comment #24 of this bug report.
>
> https://bugs.launchpad.net/ubuntu/+source/ibus-
> libpinyin/+bug/1768166/comments/24
>
> Please submit any feedback you are able to provide as a comment on this
> bug report.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying that
> directory allows the user to keep using ibus-libpinyin.
>
> In disco (and eoan) ibus-libpinyin 1.11.0 and libpinyin 2.2.2 are
> present, and the number of crashes has been reduced significantly:
>
> https://errors.ubuntu.com/?package=ibus-libpinyin&period=month
>
> Upstream ChangeLog ibus-libpinyin:
> ----------------------------------
> version 1.11.0
> * fixes keypad decimal
> * fixes emoji candidates
> * support configurable opencc config
>
> version 1.10.92
> * fixes Enter handling
>
> version 1.10.91
> * support ime.register_trigger in lua extension
> * support predicted candidates
> * support emoji input
>
> version 1.10.0
> * bug fixes
>
> version 1.9.91
> * migrate to use GSettings
> * fixes lyx short cut issue
>
> version 1.9.3
> * translate input method name in ibus menu
>
> Upstream ChangeLog libpinyin:
> -----------------------------
> version 2.2.2
> * minor fixes
>
> version 2.2.1
> * fixes predicted candidates
>
> version 2.2.0
> * bug fixes
>
> The proposal is to backport the disco versions of those packages to
> bionic and cosmic in an attempt to prevent crashes. Proposed uploads
> are available in this PPA:
>
> https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin
>
> [Test Case]
>
> * Install from {bionic,cosmic}-proposed:
> - libpinyin13
> - libpinyin-data
> - ibus-libpinyin
>
> * Use "Intelligent Pinyin" for typing and confirm that no new issues
> show up when doing so.
>
> (This is apparently not a confirmation that the upload really fixes...

Read more...

Ping-Wu (wliauh) wrote :

I followed the steps as described in #24 and have tested the new ibus-libpinyin 1.11 in 18.04.2 for more than two weeks. So far, I have not encountered any sudden crash problem as experienced in 1.10.

Moving the proposed upgrade of ibus-libpinyin and associated dependencies to bionic-updates should be a no-brainer. As I mentioned prior, I couldn't find anyone in the Chinese Ubuntu forum who is using ibus-libpinyin. No one can tolerate an input tool that will "eventually" crash--and cannot be recovered unless the user possesses certain CLI skills and is willing to delete the user-established vocabulary that is the most important part of a Chinese input method.

That said, the most important question is, whether the upgrade of ibus-libpinyin as proposed adversely affects other packages? I have not noticed that upgrade of ibus-libpinyin as proposed affected any of my daily operations. One of the Chinese Ubuntu forum members ("百草谷居士") who agreed to participate in the testing, also expressed that there is no interference with other packages. This is what he wrote:

"功能上还是老问题:不支持拼音输入特殊符号;紧随数字的逗号和句号不能自动转换为半角符号。
然后发现汉字里面夹杂了不少表情符号,我觉得奇怪,既然可以夹杂表情符号,为什么不能加上特殊符号呢
目前在终端、gnome桌面、geany、libreoffice中使用正常。"

(No problem with gnome-terminal, gnome desktop apps, geany, libreoffice.)

With the above-mentioned positive results, I recommend that the proposed move should go ahead. Indeed, if Ubuntu wants to regain its China market, this is a necessary first step.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks Ping-Wu!

Our attempts to recruit additional Chinese testers failed unfortunately. My view is that we still are ready to consider the proposed packages verified. I base my view on:

* The bug reporter's test results according to comment #35

* My own verification measures according to comment #23

* The reporter of bug #1829947 expressed a positive testimony as to
  the ibus-libpinyin version we are backporting here (comment #20 in
  that report).

* The proposed packages have 'matured' in -proposed for soon three
  weeks.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

This feels like enough testing to consider this SRU verified. Thanks Ping-Wu, thanks Gunnar! Let me release this into -updates.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpinyin - 2.2.2-1~ubuntu18.10.1

---------------
libpinyin (2.2.2-1~ubuntu18.10.1) cosmic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 22 May 2019 16:54:00 +0200

Changed in libpinyin (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libpinyin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ibus-libpinyin - 1.11.0-1ubuntu0.18.10.1

---------------
ibus-libpinyin (1.11.0-1ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <email address hidden> Wed, 22 May 2019 17:06:00 +0200

Changed in ibus-libpinyin (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpinyin - 2.2.2-1~ubuntu18.04.1

---------------
libpinyin (2.2.2-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 22 May 2019 16:54:00 +0200

Changed in libpinyin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ibus-libpinyin - 1.11.0-1ubuntu0.18.04.1

---------------
ibus-libpinyin (1.11.0-1ubuntu0.18.04.1) bionic; urgency=medium

  * Backport of the disco version as an SRU in an attempt to reduce the
    number of crashes (LP: #1768166).

 -- Gunnar Hjalmarsson <email address hidden> Wed, 22 May 2019 17:06:00 +0200

Changed in ibus-libpinyin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Download full text (5.9 KiB)

I tried your ibus-pinyin ppa; the problem still persists. I will explain
that in better detail later. Basically, after 18.04 (no problem there),
ibus-pinyin fails to update the hierarchy of an "entered" word or phase in
the "candidate list". This is one of the most important features of a
Chinese input tool. Without it, thhis tool is unusable.

The Chinese Ubuntu forum member who helped testing ibus-libpinyin 1.11
(百草谷居--btw, he is also a CPA)mentioned two important features that are
lacking in ibus-libpinyin which actually also prevented him from using this
input tool (except for doing this test). Both features are available (&
kicking) in ibus-pinyin.

However, my most critical concern is always about stability. I have used
the same old ibus-pinyin Chinese input tool since 18.04 daily built first
became available and have not had any problem. As I mentioned in previous
communications, for some unknown reason ibus-pinyin doesn't work well in
Fedora/RedHat (though it can be installed without any problem), in reasons
probably similar to why ibus-pinyin is not working well in 19.04/19.10.
This is the main reason that I am not too thrilled about Fedora.

On Wed, Jun 19, 2019 at 12:42 AM Gunnar Hjalmarsson <
<email address hidden>> wrote:

> Thanks Ping-Wu!
>
> Our attempts to recruit additional Chinese testers failed unfortunately.
> My view is that we still are ready to consider the proposed packages
> verified. I base my view on:
>
> * The bug reporter's test results according to comment #35
>
> * My own verification measures according to comment #23
>
> * The reporter of bug #1829947 expressed a positive testimony as to
> the ibus-libpinyin version we are backporting here (comment #20 in
> that report).
>
> * The proposed packages have 'matured' in -proposed for soon three
> weeks.
>
> ** Tags removed: verification-needed verification-needed-bionic
> verification-needed-cosmic
> ** Tags added: verification-done verification-done-bionic
> verification-done-cosmic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1768166
>
> Title:
> Random crashes
>
> Status in ibus-libpinyin package in Ubuntu:
> Fix Released
> Status in libpinyin package in Ubuntu:
> Fix Released
> Status in ibus-libpinyin source package in Bionic:
> Fix Committed
> Status in libpinyin source package in Bionic:
> Fix Committed
> Status in ibus-libpinyin source package in Cosmic:
> Fix Committed
> Status in libpinyin source package in Cosmic:
> Fix Committed
>
> Bug description:
> [Impact]
>
> ibus-libpinyin has proved to crash far too often. One or more files in
> ~/.cache/ibus/libpinyin get corrupted somehow, and emptying that
> directory allows the user to keep using ibus-libpinyin.
>
> In disco (and eoan) ibus-libpinyin 1.11.0 and libpinyin 2.2.2 are
> present, and the number of crashes has been reduced significantly:
>
> https://errors.ubuntu.com/?package=ibus-libpinyin&period=month
>
> Upstream ChangeLog ibus-libpinyin:
> ----------------------------------
> version 1.11.0
> * fixes keypad decimal
> * fixes emoji candidates
> * support con...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers